spi: XSpi_Config Struct Reference

| spi Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XSpi_Config Struct Reference
Spi_v4_5

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Base address of the device. More...
int | HasFifos
| Does device have FIFOs? More...
u32 | SlaveOnly
| Is the device slave only? More...
u8 | NumSlaveBits
| Num of slave select bits on the device. More...
u8 | DataWidth
| Data transfer Width. More...
u8 | SpiMode
| Standard/Dual/Quad mode. More...
u8 | AxiInterface
| AXI-Lite/AXI Full Interface. More...
u32 | AxiFullBaseAddress
| AXI Full Interface Base address of the device. More...
u8 | XipMode
| 0 if Non-XIP, 1 if XIP Mode More...
u8 | Use_Startup
| 1 if Starup block is used in h/w More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

u32 XSpi_Config::AxiFullBaseAddress

AXI Full Interface Base address of the device.

Referenced by XSpi_CfgInitialize().

u8 XSpi_Config::AxiInterface

AXI-Lite/AXI Full Interface.

UINTPTR XSpi_Config::BaseAddress

Base address of the device.

Referenced by main(), SpiIntrExample(), SpiPolledExample(), SpiSelfTestExample(), SpiXipExample(), and XSpi_Initialize().

u8 XSpi_Config::DataWidth

Data transfer Width.

Referenced by XSpi_CfgInitialize().

u16 XSpi_Config::DeviceId

Unique ID of device.

int XSpi_Config::HasFifos

Does device have FIFOs?

Referenced by XSpi_CfgInitialize().

u8 XSpi_Config::NumSlaveBits

Num of slave select bits on the device.

Referenced by XSpi_CfgInitialize().

u32 XSpi_Config::SlaveOnly

Is the device slave only?

Referenced by XSpi_CfgInitialize().

u8 XSpi_Config::SpiMode

Standard/Dual/Quad mode.

Referenced by XSpi_CfgInitialize().

u8 XSpi_Config::Use_Startup

1 if Starup block is used in h/w

Referenced by XSpi_CfgInitialize().

u8 XSpi_Config::XipMode

0 if Non-XIP, 1 if XIP Mode

Referenced by XSpi_CfgInitialize().